Bug 47814 - openssl_pkcs7_sign error
Summary: openssl_pkcs7_sign error
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Core (show other bugs)
Version: 2.2.13
Hardware: Other Linux
: P2 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2009-09-10 03:34 UTC by levuhoang
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description levuhoang 2009-09-10 03:34:17 UTC
Hello,
My server is running Apache 2.2.9, PHP 5.2.9, OpenSSL 0.9.8j, Zend Optimizer 3.3.0. Everything is fine. I don’t get any error.
After I upgraded Apache to 2.2.13 (and reboot server), I can’t use this PHP function: openssl_pkcs7_sign
The PHP error is:
Warning: openssl_pkcs7_sign() [function.openssl-pkcs7-sign]: error creating PKCS7 structure! in /home/www/myfile.php on line 25
The signature file is empty.

I’m sure that signature files are ok. If I use OpenSSL to sign pkcs7 in command line (use the same signatures), it runs correctly. I can use PHP exec to do this also but It’s not secure.
I tried this situation many times and the result is the same.
1.	If I fully restore my system with Apache 2.2.9, the system works correct.
2.	I install Apache 2.2.13, system is error
3.	I reinstall Apache 2.2.9 (overwrite 2.2.13), system still error
So, the final solution is fully restore the system. But I would like to know that what happen with the latest Apache 2.2.13, PHP 5.2.9 and OpenSSL 0.9.8j.
Thank you
Comment 1 Eric Covener 2009-09-10 05:37:07 UTC
How are you acquiring your build of Apache? Do they both link to the same level of openssl?
Comment 2 levuhoang 2009-09-10 09:15:17 UTC
I build apache from source (both 2.2.9 and 2.2.13).
Steps are the same for two of them:
1. ./configure
2. make
3. make install

when I install the new version, I do distclean & clean in the old apache folder and recompile the new one
1. make distclean
2. make clean
3. ./configure
4. make
5. make install

I test this situation on the same machine (overwrite the old version with the new one). So, OpenSSL version is the same: 0.9.8j
Comment 3 levuhoang 2009-09-16 02:19:15 UTC
Is there any apache supporter here?
Comment 4 Eric Covener 2009-09-16 07:29:15 UTC
I'm afraid you'll need someone to debug this from the PHP side and add some detailed information here.  Lack of updates [aside from the bug still being marked NEEDINFO] implies nobody has any clue how updating Apache would interfere with how PHP calls methods in openssl.
Comment 5 William A. Rowe Jr. 2018-11-07 21:09:23 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.